Skip to main content
DELETE
/
api
/
core
/
use-cases
/
{use_case_id}
Delete use case and all connected resources
curl --request DELETE \
  --url https://api.example.com/api/core/use-cases/{use_case_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "label": {
    "en": "<string>",
    "de": "<string>",
    "es": "<string>",
    "fr": "<string>",
    "it": "<string>",
    "nl": "<string>",
    "pl": "<string>",
    "pt": "<string>",
    "sv": "<string>"
  },
  "description": {
    "en": "<string>",
    "de": "<string>",
    "es": "<string>",
    "fr": "<string>",
    "it": "<string>",
    "nl": "<string>",
    "pl": "<string>",
    "pt": "<string>",
    "sv": "<string>"
  },
  "deleted": false,
  "disclaimer": {
    "disclaimer_text": {
      "en": "<string>",
      "de": "<string>",
      "es": "<string>",
      "fr": "<string>",
      "it": "<string>",
      "nl": "<string>",
      "pl": "<string>",
      "pt": "<string>",
      "sv": "<string>"
    },
    "disclaimer_url": "<string>"
  },
  "show_to_unauthorized_users": false,
  "can_contain_personal_knowledge_assets": false,
  "knowledge_asset_ids": [
    "<string>"
  ],
  "knowledge_source_ids": [
    "<string>"
  ],
  "org_entity_ids": [
    "<string>"
  ],
  "quick_action_ids": [
    "<string>"
  ],
  "external_links": [
    {
      "display_name": "<string>",
      "url": "<string>",
      "icon": "<string>",
      "is_global": false
    }
  ],
  "query_splitting": true,
  "show_knowledge_assets": true,
  "enable_additional_questions": true,
  "guided_search_field_ids": [
    "<string>"
  ],
  "glossary_id": "<string>",
  "enable_targeted_web_search": true,
  "feedback_form_config": {},
  "privacy_policy": {
    "privacy_policy_text": {
      "en": "By submitting your feedback, you consent to the processing of your personal data\n            (unless you have opted for anonymous feedback). Please also note our privacy policy, which \n            contains information about your right of withdrawal.",
      "de": "Mit Absenden des Feedbacks erklärst du dich mit der Verarbeitung deiner personenbezogenen\n            Daten einverstanden (sofern du dich nicht für ein anonymes Feedback entschieden hast). \n            Bitte beachte auch unsere Datenschutzhinweise, die Informationen zu deinem Widerrufsrecht enthalten."
    },
    "privacy_policy_url": "<string>"
  },
  "allow_url_retrieval_from_prompt": false,
  "is_personal_space": false,
  "enable_file_upload": false,
  "disable_reranking": false,
  "enable_pro_search": false,
  "context_about_users": "<string>",
  "context_about_company": "<string>",
  "context_about_documents": "<string>",
  "tonality": "<string>",
  "sync_connectors": [
    "confluence"
  ],
  "credential_ids": [
    "<string>"
  ],
  "sync_connectors_enabled_user_credentials": [
    "confluence"
  ]
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Format: 'Bearer '

Path Parameters

use_case_id
string
required

Response

Successful Response

Response schema for use case data involved in the GET use_cases request.

id
string
required
label
MultilingualText · object
required

Pydantic model for a multilingual text.

description
MultilingualText · object
required

Pydantic model for a multilingual text.

deleted
boolean
default:false
disclaimer
Disclaimer · object
show_to_unauthorized_users
boolean | null
default:false
can_contain_personal_knowledge_assets
boolean | null
default:false
knowledge_asset_ids
string[] | null
knowledge_source_ids
string[] | null
org_entity_ids
string[]
quick_action_ids
string[]
query_splitting
boolean | null
show_knowledge_assets
boolean | null
default:true
enable_additional_questions
boolean
default:true
guided_search_field_ids
string[]
glossary_id
string | null
enable_targeted_web_search
boolean | null
feedback_form_config
Feedback Form Config · object
privacy_policy
PrivacyPolicy · object
allow_url_retrieval_from_prompt
boolean | null
default:false
is_personal_space
boolean | null
default:false
enable_file_upload
boolean | null
default:false
disable_reranking
boolean | null
default:false
enable_pro_search
boolean | null
default:false
context_about_users
string | null
context_about_company
string | null
context_about_documents
string | null
tonality
string | null
sync_connectors
enum<string>[]
Available options:
confluence,
disa,
google_drive,
google_oauth,
jira,
one_losp,
sap_btp,
servicenow,
sharepoint,
still_sales_and_service,
cloud_storage,
manually_synced
credential_ids
string[]
sync_connectors_enabled_user_credentials
enum<string>[]
Available options:
confluence,
disa,
google_drive,
google_oauth,
jira,
one_losp,
sap_btp,
servicenow,
sharepoint,
still_sales_and_service,
cloud_storage,
manually_synced